Urutkan ulang dokumen menggunakan model kesamaan semantik. Berguna untuk meningkatkan hasil pencarian dan aplikasi RAG.
Isi Permintaan
Timeout permintaan sinkron: endpoint non-chat ini menunggu model yang dirutekan selesai. Input besar, audio panjang, atau batch besar dapat melebihi default client umum 30s, jadi atur timeout HTTP client Anda minimal 120s.
ID model reranker yang akan digunakan (misalnya, qwen3-vl-rerank).
Kueri untuk membandingkan peringkat dokumen. Panjang maksimum: 32,000 karakter.
Daftar dokumen (string) untuk diurutkan ulang. Batas: hingga 1,000 dokumen, setiap dokumen hingga 100,000 karakter, dan total karakter dokumen paling banyak 2,000,000.
Jumlah hasil teratas yang akan dikembalikan. Default ke semua dokumen. Nilainya harus minimal 1 dan tidak boleh lebih besar dari documents.length. Saat ini TokenLab tidak menerapkan batas publik yang lebih rendah khusus provider; jika batas ini berubah, halaman ini akan diperbarui sebelum diberlakukan.
Apakah akan menyertakan teks dokumen asli dalam respons.
Respons
Daftar dokumen yang telah diurutkan beserta skornya. Setiap hasil berisi:
index (integer): Indeks dokumen asli
relevance_score (number): Skor relevansi (0-1)
document (string): Teks asli (jika return_documents=true)
Model yang digunakan untuk reranking.
Statistik penggunaan token.
cURL
Python
JavaScript
Go
PHP
curl -X POST "https://api.tokenlab.sh/v1/rerank" \
-H "Authorization: Bearer sk-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "qwen3-vl-rerank",
"query": "What is machine learning?",
"documents": [
"Machine learning is a subset of AI",
"The weather is nice today",
"Deep learning uses neural networks"
],
"top_n": 2,
"return_documents": true
}'
import requests
response = requests.post(
"https://api.tokenlab.sh/v1/rerank" ,
headers = { "Authorization" : "Bearer sk-your-api-key" },
json = {
"model" : "qwen3-vl-rerank" ,
"query" : "What is machine learning?" ,
"documents" : [
"Machine learning is a subset of AI" ,
"The weather is nice today" ,
"Deep learning uses neural networks"
],
"top_n" : 2
}
)
print (response.json())
const response = await fetch ( 'https://api.tokenlab.sh/v1/rerank' , {
method: 'POST' ,
headers: {
'Authorization' : 'Bearer sk-your-api-key' ,
'Content-Type' : 'application/json'
},
body: JSON . stringify ({
model: 'qwen3-vl-rerank' ,
query: 'What is machine learning?' ,
documents: [
'Machine learning is a subset of AI' ,
'The weather is nice today' ,
'Deep learning uses neural networks'
],
top_n: 2
})
});
const data = await response . json ();
console . log ( data . results );
package main
import (
" bytes "
" encoding/json "
" fmt "
" net/http "
)
func main () {
payload := map [ string ] interface {}{
"model" : "qwen3-vl-rerank" ,
"query" : "What is machine learning?" ,
"documents" : [] string {
"Machine learning is a subset of AI" ,
"The weather is nice today" ,
"Deep learning uses neural networks" ,
},
"top_n" : 2 ,
}
body , _ := json . Marshal ( payload )
req , _ := http . NewRequest ( "POST" , "https://api.tokenlab.sh/v1/rerank" , bytes . NewBuffer ( body ))
req . Header . Set ( "Authorization" , "Bearer sk-your-api-key" )
req . Header . Set ( "Content-Type" , "application/json" )
client := & http . Client {}
resp , _ := client . Do ( req )
defer resp . Body . Close ()
var result map [ string ] interface {}
json . NewDecoder ( resp . Body ). Decode ( & result )
fmt . Println ( result [ "results" ])
}
<? php
$ch = curl_init ( 'https://api.tokenlab.sh/v1/rerank' );
curl_setopt_array ( $ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_POST => true ,
CURLOPT_HTTPHEADER => [
'Content-Type: application/json' ,
'Authorization: Bearer sk-your-api-key'
],
CURLOPT_POSTFIELDS => json_encode ([
'model' => 'qwen3-vl-rerank' ,
'query' => 'What is machine learning?' ,
'documents' => [
'Machine learning is a subset of AI' ,
'The weather is nice today' ,
'Deep learning uses neural networks'
],
'top_n' => 2
])
]);
$response = curl_exec ( $ch );
curl_close ( $ch );
$data = json_decode ( $response , true );
print_r ( $data [ 'results' ]);
{
"results" : [
{
"index" : 0 ,
"relevance_score" : 0.95 ,
"document" : "Machine learning is a subset of AI"
},
{
"index" : 2 ,
"relevance_score" : 0.82 ,
"document" : "Deep learning uses neural networks"
}
],
"model" : "qwen3-vl-rerank" ,
"usage" : {
"prompt_tokens" : 45 ,
"total_tokens" : 45
}
}